Name:           libzrtpcpp
Version:        4.6.6
Release:    1%{?dist}
Summary:        ZRTP support library for the GNU ccRTP stack

License:        GPL-3.0-or-later
URL:            https://github.com/wernerd/ZRTPCPP
Source0:        https://github.com/wernerd/ZRTPCPP/archive/V%{version}/%{name}-%{version}.tar.gz
Patch0:         libzrtpcpp-4.4.0-no-warning.patch


BuildRequires:  ccrtp-devel
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libgcrypt-devel
BuildRequires:  make
BuildRequires:  openssl-devel

%description
This package provides a library that adds ZRTP support to the GNU
ccRTP stack. Phil Zimmermann developed ZRTP to allow ad-hoc, easy to
use key negotiation to setup Secure RTP (SRTP) sessions. GNU ZRTP
together with GNU ccRTP (1.5.0 or later) provides a ZRTP
implementation that can be directly embedded into client and server
applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n ZRTPCPP-%{version}
chmod 644 NEWS.md


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%doc README.md AUTHORS NEWS.md
%license COPYING
%{_libdir}/libzrtpcpp.so.4*

%files devel
%{_includedir}/libzrtpcpp/
%{_libdir}/libzrtpcpp.so
%{_libdir}/pkgconfig/libzrtpcpp.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.6.6-1
- initial build
